var _____WB$wombat$assign$function_____ = function(name) {return (self._wb_wombat && self._wb_wombat.local_init && self._wb_wombat.local_init(name)) || self[name]; };
if (!self.__WB_pmw) { self.__WB_pmw = function(obj) { this.__WB_source = obj; return this; } }
{
  let window = _____WB$wombat$assign$function_____("window");
  let self = _____WB$wombat$assign$function_____("self");
  let document = _____WB$wombat$assign$function_____("document");
  let location = _____WB$wombat$assign$function_____("location");
  let top = _____WB$wombat$assign$function_____("top");
  let parent = _____WB$wombat$assign$function_____("parent");
  let frames = _____WB$wombat$assign$function_____("frames");
  let opener = _____WB$wombat$assign$function_____("opener");

/*
 * boardlist-catalog-links.js
 *
 * Usage:
 *   $config['additional_javascript'][] = 'js/jquery.min.js';
 *   $config['additional_javascript'][] = 'js/boardlist-catalog-links.js';
 *
 */

$(document).ready(function() {
	
    function replace_index_links() {
        $('.boardlist').children('span[class="sub"]').children('a').each(function() {
	        this.href = this.href.replace('index.html', 'catalog.html');
        });
    }

	if (window.Options && Options.get_tab('general')) {
		Options.extend_tab("general", "<fieldset><legend> Board List Catalog Links </legend><label><input type='checkbox' id='boardlist_catalog_links' /> "+_('Use catalog links for the board list')+"</label></fieldset>");

	$('#boardlist_catalog_links').on('change', function(){
		var setting = $(this).attr('id');

		localStorage[setting] = $(this).is(':checked');
		location.reload();
	});
		
		if (localStorage.boardlist_catalog_links === 'true') {
			$('#boardlist_catalog_links').prop('checked', true);
			replace_index_links();
		}
	}
});


}
/*
     FILE ARCHIVED ON 13:36:44 Aug 31, 2020 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 03:43:17 Mar 03, 2024.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  exclusion.robots: 0.235
  exclusion.robots.policy: 0.206
  cdx.remote: 0.252
  esindex: 0.023
  LoadShardBlock: 203.885 (6)
  PetaboxLoader3.resolve: 118.816 (3)
  PetaboxLoader3.datanode: 198.355 (8)
  load_resource: 196.57 (2)
*/